<?xml version="1.0" encoding="UTF-8"?>

<tableDescriptions type="OB">
  <table name="StackMeta">
    <column name="stackMetaID" type="TLONGLONG" default="0" comment="stack identifier"></column>
    <column name="skycellID" type="TLONG" default="0" comment="skycell region identifier"></column>
    <column name="surveyID" type="TBYTE" default="0" comment="survey flag identifier"></column>
    <column name="photoCalID" type="TLONG" default="0" comment="photometry code numerical id"></column>
    <column name="filterID" type="TBYTE" default="0" comment="filter identifier"></column>
    <column name="stackTypeID" type="TBYTE" default="0" comment="stack type identifier"></column>
    <column name="refImageID" type="TLONGLONG" default="-999" comment="identifier of image used as reference for analysis"></column>
    <column name="subtrImageID" type="TLONGLONG" default="-999" comment="identifier of image subtracted to generate difference image"></column>
    <column name="magSat" type="TFLOAT" default="-999" comment="saturation magnitude level"></column>
    <column name="analVer" type="TSHORT" default="-999" comment="analysis version index"></column>
    <column name="nP2Images" type="TSHORT" default="-999" comment="number of P2 images contributing to this cell"></column>
    <column name="completMag" type="TFLOAT" default="-999" comment="95% completion level in mag"></column>
    <column name="astroScat" type="TFLOAT" default="-999" comment="astrometric scatter for chip"></column>
    <column name="photoScat" type="TFLOAT" default="-999" comment="photometric scatter for chip"></column>
    <column name="nAstroRef" type="TLONG" default="-999" comment="number of astrometric reference sources"></column>
    <column name="nPhoRef" type="TLONG" default="-999" comment="number of photometric reference sources"></column>
    <column name="psfFwhm" type="TFLOAT" default="-999" comment="PSF full width at half maximum"></column>
    <column name="psfmodelID" type="TSHORT" default="-999" comment="PSF model identifier"></column>
    <column name="psfWidMajor" type="TFLOAT" default="-999" comment="PSF parameters"></column>
    <column name="psfWidMinor" type="TFLOAT" default="-999" comment="PSF parameters"></column>
    <column name="psfTheta" type="TFLOAT" default="-999" comment="PSF parameters"></column>
    <column name="psfExtra1" type="TFLOAT" default="-999" comment="PSF parameters"></column>
    <column name="psfExtra2" type="TFLOAT" default="-999" comment="PSF parameters"></column>
    <column name="photoZero" type="TFLOAT" default="-999" comment="local derived photometric zero point"></column>
    <column name="photoColor" type="TFLOAT" default="-999" comment="local derived photometric color term"></column>
    <column name="ctype1" type="TSTRING" default=" " comment="name of astrometric projection in RA"></column>
    <column name="ctype2" type="TSTRING" default=" " comment="name of astrometric projection in DEC"></column>
    <column name="crval1" type="TFLOAT" default="-999" comment="RA corresponding to reference pixel"></column>
    <column name="crval2" type="TFLOAT" default="-999" comment="DEC corresponding to reference pixel"></column>
    <column name="crpix1" type="TFLOAT" default="-999" comment="reference pixel value for RA"></column>
    <column name="crpix2" type="TFLOAT" default="-999" comment="reference pixel value for DEC"></column>
    <column name="pc001001" type="TFLOAT" default="-999" comment="elements of rotation/Dcale matrix"></column>
    <column name="pc001002" type="TFLOAT" default="-999" comment="elements of rotation/Dcale matrix"></column>
    <column name="pc002001" type="TFLOAT" default="-999" comment="elements of rotation/Dcale matrix"></column>
    <column name="pc002002" type="TFLOAT" default="-999" comment="elements of rotation/Dcale matrix"></column>
    <column name="polyOrder" type="TBYTE" default="255" comment="polynomial order of astrometry fit"></column>
    <column name="pca1x3y0" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca1x2y1" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca1x1y2" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca1x0y3" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca1x2y0" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca1x1y1" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca1x0y2" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca2x3y0" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca2x2y1" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca2x1y2" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca2x0y3" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca2x2y0" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca2x1y1" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="pca2x0y2" type="TFLOAT" default="-999" comment="polynomial coefficients for the astrometric fit"></column>
    <column name="calibModNum" type="TSHORT" default="0" comment="calibration modification number"></column>
    <column name="dataRelease" type="TBYTE" default="0" comment="Data release"></column>
  </table>
  <table name="StackToImage">
    <column name="stackMetaID" type="TLONGLONG" default="0" comment="stack identifier"></column>
    <column name="imageID" type="TLONGLONG" default="0" comment="hashed exposure-ccdID identifier"></column>
  </table>
  <table name="StackLowSigDelta">
    <column name="stackMetaID" type="TLONGLONG" default="0" comment="reference to stack"></column>
    <column name="dataTable" type="TSTRING" default=" " comment="compressed table containing detections"></column>
    <column name="dataRelease" type="TBYTE" default="0" comment="Data release twhen this detection was taken"></column>
  </table>
  <table name="StackHighSigDelta">
    <column name="partitionKey" type="TLONGLONG" default="0" comment="partition key"></column>
    <column name="stackDiffID" type="TLONGLONG" default="0" comment="ODM detection identifier"></column>
    <column name="ippDetectID" type="TLONGLONG" default="0" comment="detection id generated by IPP"></column>
    <column name="filterID" type="TBYTE" default="0" comment="filter ID: g=1, r=2, i=3, z=4, y=5, w=6,.."></column>
    <column name="obsTime" type="TFLOAT" default="-999" comment="Time of mid observation"></column>
    <column name="xPos" type="TFLOAT" default="-999" comment=" measured x on CCD from PSF fit (unit = pix)"></column>
    <column name="yPos" type="TFLOAT" default="-999" comment=" measured y on CCD from PSF fit (unit = pix)"></column>
    <column name="xPosErr" type="TFLOAT" default="-999" comment=" estimated error in x (unit = pix)"></column>
    <column name="yPosErr" type="TFLOAT" default="-999" comment=" estimated error in y (unit = pix)"></column>
    <column name="instMag" type="TFLOAT" default="-999" comment=" PSF instrumental magnitude (unit = mag)"></column>
    <column name="instMagErr" type="TFLOAT" default="-999" comment=" estimated error in instMag (unit = mag)"></column>
    <column name="peakFluxMag" type="TFLOAT" default="-999" comment="ratio of peak flux to total flux"></column>
    <column name="psfWidMajor" type="TFLOAT" default="-999" comment="PSF width in major axis"></column>
    <column name="psfWidMinor" type="TFLOAT" default="-999" comment="PSF width in minor axis"></column>
    <column name="psfTheta" type="TFLOAT" default="-999" comment="PSF orientation angle"></column>
    <column name="psfLikelihood" type="TFLOAT" default="-999" comment="PSF likelihood"></column>
    <column name="psfCf" type="TFLOAT" default="-999" comment="PSF coverage factor"></column>
    <column name="infoFlag" type="TLONG" default="-999" comment="indicator of strange propeties"></column>
    <column name="nFrames" type="TLONG" default="-999" comment="number of frames contributing to source"></column>
    <column name="htmID" type="TLONGLONG" default="0" comment="HTM index for the detection"></column>
    <column name="zoneID" type="TLONG" default="0" comment="Zone index"></column>
    <column name="ra" type="TFLOAT" default="0" comment=" RA from PSF fitting (unit = deg)"></column>
    <column name="dec" type="TFLOAT" default="0" comment=" DEC from PSF fitting (unit = deg)"></column>
    <column name="raErr" type="TFLOAT" default="0" comment=" estimated error in ra (unit = deg)"></column>
    <column name="decErr" type="TFLOAT" default="0" comment=" estimated error in dec (unit = deg)"></column>
    <column name="cx" type="TFLOAT" default="0" comment="cartesian x"></column>
    <column name="cy" type="TFLOAT" default="0" comment="cartesian y"></column>
    <column name="cz" type="TFLOAT" default="0" comment="cartesian z"></column>
    <column name="calMag" type="TFLOAT" default="-999" comment=" calibrated magnitude (unit = mag)"></column>
    <column name="calMagErr" type="TFLOAT" default="-999" comment=" estimated error in calMag (unit = mag)"></column>
    <column name="sky" type="TFLOAT" default="-999" comment=" PSF sky level at source (unit = adu)"></column>
    <column name="skyErr" type="TFLOAT" default="-999" comment=" estimated error in sky (unit = adu)"></column>
    <column name="sgSep" type="TFLOAT" default="-999" comment="star/galaxy separator"></column>
    <column name="dataRelease" type="TBYTE" default="0" comment="Data release when this detection was taken"></column>
  </table>
  <table name="ObjectCalColor">
    <column name="objID" type="TLONGLONG" default="0" comment="ODM object identifier"></column>
    <column name="ippObjID" type="TLONGLONG" default="0" comment="ipp object identifier"></column>
    <column name="filterID" type="TBYTE" default="0" comment="filter identifier"></column>
    <column name="calColor" type="TFLOAT" default="0" comment=" color adopted for magnitude calculation (unit = mag)"></column>
    <column name="calColorErr" type="TFLOAT" default="0" comment=" error in calibrating color (unit = mag)"></column>
    <column name="calibModNum" type="TSHORT" default="0" comment="calibration modification number"></column>
    <column name="dataRelease" type="TBYTE" default="0" comment="Data release when this color calibration was established"></column>
  </table>
</tableDescriptions>
